package com.qmth.paper.library.business.bean.params;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.entity.TSchoolPrivilege;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 学校自定义菜单 param
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/30
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TSchoolPrivilegeParam extends TSchoolPrivilege {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "权限id数组")
    private Long[] privilegeIds;

    @ApiModelProperty(value = "pdf格式数组")
    private String[] pdfSize;

    public Long[] getPrivilegeIds() {
        return privilegeIds;
    }

    public void setPrivilegeIds(Long[] privilegeIds) {
        this.privilegeIds = privilegeIds;
    }

    public String[] getPdfSize() {
        return pdfSize;
    }

    public void setPdfSize(String[] pdfSize) {
        this.pdfSize = pdfSize;
    }
}
